# .NET 7.0.9  - July 11, 2023

The .NET 7.0.9 and .NET SDK 7.0.306 releases are available for download. The latest 7.0 release is always listed at [.NET 7.0 Releases](../README.md).

## Downloads

|           | SDK Installer<sup>1</sup>                        | SDK Binaries<sup>1</sup>                 | Runtime Installer                                        | Runtime Binaries                                 | ASP.NET Core Runtime           |Windows Desktop Runtime          |
| --------- | :------------------------------------------:     | :----------------------:                 | :---------------------------:                            | :-------------------------:                      | :-----------------:            | :-----------------:            |
| Windows   | [x86][dotnet-sdk-win-x86.exe] \| [x64][dotnet-sdk-win-x64.exe] \| [Arm64][dotnet-sdk-win-arm64.exe] | [x86][dotnet-sdk-win-x86.zip] \| [x64][dotnet-sdk-win-x64.zip] \|  [Arm64][dotnet-sdk-win-arm64.zip] | [x86][dotnet-runtime-win-x86.exe] \| [x64][dotnet-runtime-win-x64.exe] \| [Arm64][dotnet-runtime-win-arm64.exe] | [x86][dotnet-runtime-win-x86.zip] \| [x64][dotnet-runtime-win-x64.zip] \| [Arm64][dotnet-runtime-win-arm64.zip] | [x86][aspnetcore-runtime-win-x86.exe] \| [x64][aspnetcore-runtime-win-x64.exe] \|<br/> [Hosting Bundle][dotnet-hosting-win.exe]<sup>2</sup> | [x86][windowsdesktop-runtime-win-x86.exe] \| [x64][windowsdesktop-runtime-win-x64.exe] \| [Arm64][windowsdesktop-runtime-win-arm64.exe] |
| macOS     | [x64][dotnet-sdk-osx-x64.pkg] \| [ARM64][dotnet-sdk-osx-arm64.pkg] | [x64][dotnet-sdk-osx-x64.tar.gz] \| [ARM64][dotnet-sdk-osx-arm64.tar.gz]  | [x64][dotnet-runtime-osx-x64.pkg] \| [ARM64][dotnet-runtime-osx-arm64.pkg] | [x64][dotnet-runtime-osx-x64.tar.gz] \| [ARM64][dotnet-runtime-osx-arm64.tar.gz]| [x64][aspnetcore-runtime-osx-x64.tar.gz] \| [ARM64][aspnetcore-runtime-osx-arm64.tar.gz] | - |<sup>1</sup>
| Linux     |  [Snap and Package Manager](../install-linux.md)  | [x64][dotnet-sdk-linux-x64.tar.gz] \| [Arm][dotnet-sdk-linux-arm.tar.gz]  \| [Arm64][dotnet-sdk-linux-arm64.tar.gz] \| [Arm32 Alpine][dotnet-sdk-linux-musl-arm.tar.gz]  \| [x64 Alpine][dotnet-sdk-linux-musl-x64.tar.gz] | [Packages (x64)][linux-packages] | [x64][dotnet-runtime-linux-x64.tar.gz] \| [Arm][dotnet-runtime-linux-arm.tar.gz] \| [Arm64][dotnet-runtime-linux-arm64.tar.gz] \| [Arm32 Alpine][dotnet-runtime-linux-musl-arm.tar.gz] \| [Arm64 Alpine][dotnet-runtime-linux-musl-arm64.tar.gz] \| [x64 Alpine][dotnet-runtime-linux-musl-x64.tar.gz]  | [x64][aspnetcore-runtime-linux-x64.tar.gz]<sup>1</sup>  \| [Arm][aspnetcore-runtime-linux-arm.tar.gz]<sup>1</sup> \| [Arm64][aspnetcore-runtime-linux-arm64.tar.gz]<sup>1</sup> \| [x64 Alpine][aspnetcore-runtime-linux-musl-x64.tar.gz] | - | <sup>1</sup> |
|  | [Checksums][checksums-sdk]                             | [Checksums][checksums-sdk]                                      | [Checksums][checksums-runtime]                             | [Checksums][checksums-runtime]  | [Checksums][checksums-runtime]  | [Checksums][checksums-runtime]

1. Includes the .NET Runtime and ASP.NET Core Runtime
2. For hosting stand-alone apps on Windows Servers. Includes the ASP.NET Core Module for IIS and can be installed separately on servers without installing .NET Runtime.

The .NET SDK includes a matching updated .NET Runtime. Downloading the Runtime or ASP.NET Core packages is not needed when installing the SDK.

You can check your .NET SDK version by running the following command. The example version shown is for this release.

```console
$ dotnet --version
7.0.306
```

## Docker Images

The [.NET Docker images](https://hub.docker.com/_/microsoft-dotnet) have been updated for this release. The [.NET Docker samples](https://github.com/dotnet/dotnet-docker/blob/main/samples/README.md) show various ways to use .NET and Docker together. You can use the following command to try running the latest .NET 7.0 release in containers:

```console
docker run --rm mcr.microsoft.com/dotnet/samples
```

The following repos have been updated.

* [dotnet/sdk](https://hub.docker.com/_/microsoft-dotnet-sdk/): .NET SDK
* [dotnet/aspnet](https://hub.docker.com/_/microsoft-dotnet-aspnet/): ASP.NET Core Runtime
* [dotnet/runtime](https://hub.docker.com/_/microsoft-dotnet-runtime/): .NET Runtime
* [dotnet/runtime-deps](https://hub.docker.com/_/microsoft-dotnet-runtime-deps/): .NET Runtime Dependencies
* [dotnet/samples](https://hub.docker.com/_/microsoft-dotnet-samples/): .NET Samples

## Notable Changes
.NET 7.0.9 release carries security fixes.

[CVE-2023-33127 - .NET Remote Code Execution Vulnerability](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33127)

Microsoft is releasing this security advisory to provide information about a vulnerability in .NET 7.0 and .NET 6.0. This advisory also provides guidance on what developers can do to update their applications to remove this vulnerability.

A vulnerability exists in .NET applications where the diagnostic server can be exploited to achieve cross-session/cross-user elevation of privilege (EoP) and code execution.

[CVE-2023-33170 - .NET Security Feature Bypass Vulnerability](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-33170)

Microsoft is releasing this security advisory to provide information about a vulnerability in ASP.NET  Core 2.1 and above. This advisory also provides guidance on what developers can do to update their applications to remove this vulnerability.

A vulnerability exist in ASP.NET  Core applications where account lockout maximum failed attempts may not be immediately updated, allowing an attacker to try more passwords.

### Additional fixes in this release

* [Runtime](https://github.com/dotnet/runtime/issues?q=milestone%3A7.0.9+is%3Aclosed+label%3Aservicing-approved+)

## Visual Studio Compatibility

You need [Visual Studio 17.4](https://visualstudio.microsoft.com) or later to use .NET 7.0 on Windows. On macOS, you need the latest version of [Visual Studio for Mac](https://visualstudio.microsoft.com/vs/mac/). The [C# extension](https://code.visualstudio.com/docs/languages/dotnet) for [Visual Studio Code](https://code.visualstudio.com/) supports .NET 7.0 and C# 11.

## Feedback

Your feedback is important and appreciated. We've created an issue at [dotnet/core #8611](https://github.com/dotnet/core/issues/8611) for your questions and comments.

[blob-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/Runtime/
[blob-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/Sdk/
[release-notes]: https://github.com/dotnet/core/blob/main/release-notes/7.0/7.0.9/7.0.9.md

[checksums-runtime]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/7.0.9-sha.txt
[checksums-sdk]: https://dotnetcli.blob.core.windows.net/dotnet/checksums/7.0.9-sha.txt

[linux-install]: https://github.com/dotnet/core/blob/main/release-notes/7.0/install-linux.md
[linux-setup]: https://github.com/dotnet/core/blob/main/Documentation/linux-setup.md

[dotnet-blog]:  https://devblogs.microsoft.com/dotnet/march-2023-updates/
[aspnet-blog]: https://devblogs.microsoft.com/dotnet/asp-net-core-updates-in-dotnet-7
[ef-blog]: https://devblogs.microsoft.com/dotnet/announcing-ef7
[ef_bugs]: https://github.com/dotnet/efcore/issues?q=is%3Aissue+milestone%3A7.0.9+is%3Aclosed+label%3Atype-bug
[ef_features]: https://github.com/dotnet/efcore/issues?q=is%3Aissue+milestone%3A7.0.9+is%3Aclosed+label%3Atype-enhancement

[aspnet_bugs]: https://github.com/aspnet/AspNetCore/issues?q=is%3Aissue+milestone%3A7.0.9+label%3ADone+label%3Abug
[aspnet_features]: https://github.com/aspnet/AspNetCore/issues?q=is%3Aissue+milestone%3A7.0.9+label%3ADone+label%3Aenhancement
[runtime_bugs]: https://github.com/dotnet/runtime/issues?utf8=%E2%9C%93&q=is%3Aissue+milestone%3A7.0.9+label%3Abug+
[runtime_features]: https://github.com/dotnet/runtime/issues?q=is%3Aissue+milestone%3A7.0.9+label%3Aenhancement

[sdk_bugs]: https://github.com/dotnet/sdk/issues?q=is%3Aissue+is%3Aclosed+milestone%3A7.0.9xx

[linux-packages]: ../install-linux.md

## Packages updated in this release:

Package name | Version
:----------- | :------------------
Microsoft.WindowsDesktop.App.Runtime.win-x86 | 7.0.9
Microsoft.WindowsDesktop.App.Runtime.win-x64 | 7.0.9
Microsoft.WindowsDesktop.App.Runtime.win-arm64 | 7.0.9
Microsoft.WindowsDesktop.App.Ref | 7.0.9
Microsoft.NET.Runtime.MonoTargets.Sdk | 7.0.9
Microsoft.NETCore.App.Host.linux-arm64 | 7.0.9
runtime.linux-bionic-x64.Microsoft.NETCore.DotNetHostResolver | 7.0.9
runtime.linux-musl-arm64.Microsoft.NETCore.DotNetAppHost | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x86.Msi.x86 | 7.0.9
runtime.osx-arm64.Microsoft.NETCore.DotNetAppHost | 7.0.9
Microsoft.NET.Runtime.MonoAOTCompiler.Task.Msi.x64 | 7.0.9
Microsoft.NET.Runtime.MonoAOTCompiler.Task.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Composite | 7.0.9
Microsoft.NETCore.App.Crossgen2.linux-x64 | 7.0.9
Microsoft.NETCore.App.Host.linux-musl-arm64 | 7.0.9
Microsoft.NETCore.App.Host.linux-x64 | 7.0.9
Microsoft.NETCore.App.Host.osx-arm64 | 7.0.9
Microsoft.NETCore.App.Host.osx-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.android-x64 | 7.0.9
Microsoft.NETCore.App.Host.win-arm | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.browser-wasm | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.iossimulator-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.linux-bionic-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm64.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.linux-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.multithread.browser-wasm.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.multithread.browser-wasm.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.win-x86 | 7.0.9
Microsoft.NETCore.App.Runtime.win-arm.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.osx-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-x86 | 7.0.9
runtime.linux-arm.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.linux-bionic-x64.Microsoft.NETCore.DotNetAppHost | 7.0.9
runtime.linux-musl-arm.Microsoft.NETCore.DotNetHostResolver | 7.0.9
runtime.linux-musl-arm64.Microsoft.DotNet.ILCompiler | 7.0.9
runtime.linux-musl-arm64.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.linux-musl-arm64.Microsoft.NETCore.DotNetHostResolver | 7.0.9
runtime.linux-musl-x64.Microsoft.NETCore.DotNetAppHost | 7.0.9
runtime.linux-musl-x64.Microsoft.NETCore.DotNetHostResolver | 7.0.9
runtime.osx-x64.Microsoft.DotNet.ILCompiler | 7.0.9
runtime.linux-x64.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.linux-x64.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.linux-x64.Microsoft.NETCore.DotNetHostResolver | 7.0.9
runtime.osx-arm64.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.osx-x64.Microsoft.NETCore.DotNetHostResolver | 7.0.9
runtime.osx-x64.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.osx-x64.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.win-arm.Microsoft.NETCore.DotNetAppHost | 7.0.9
runtime.win-arm.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.win-arm.Microsoft.NETCore.DotNetHostResolver | 7.0.9
Microsoft.NET.Runtime.MonoTargets.Sdk.Msi.x64 | 7.0.9
Microsoft.NET.Runtime.wasm.Sample.Mono | 7.0.9
Microsoft.NET.Runtime.WebAssembly.Sdk | 7.0.9
Microsoft.NETCore.App.Crossgen2.linux-musl-x64 | 7.0.9
Microsoft.NETCore.App.Host.linux-bionic-arm64 | 7.0.9
Microsoft.NETCore.App.Host.linux-bionic-x64 | 7.0.9
Microsoft.NETCore.App.Host.linux-musl-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.android-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-arm | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x86.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.browser-wasm.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-arm64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-arm64.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.linux-musl-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-arm64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-arm64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-x64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-x64.Msi.x86 | 7.0.9
runtime.linux-arm.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.linux-arm64.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.linux-arm64.Microsoft.NETCore.DotNetHostResolver | 7.0.9
runtime.linux-bionic-arm64.Microsoft.NETCore.DotNetHostResolver | 7.0.9
runtime.linux-bionic-arm64.Microsoft.NETCore.DotNetAppHost | 7.0.9
runtime.win-x86.Microsoft.NETCore.DotNetHost | 7.0.9
Microsoft.NET.Runtime.WebAssembly.Templates | 7.0.9
Microsoft.NET.Runtime.WebAssembly.Templates.Msi.arm64 | 7.0.9
Microsoft.NET.Workload.Mono.ToolChain.net6.Manifest-7.0.100.Msi.arm64 | 7.0.9
Microsoft.NET.Workload.Mono.ToolChain.net6.Manifest-7.0.100.Msi.x64 | 7.0.9
Microsoft.NET.Workload.Mono.ToolChain.net6.Manifest-7.0.100.Msi.x86 | 7.0.9
Microsoft.NET.Workload.Mono.ToolChain.net7.Manifest-7.0.100.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Crossgen2.win-x86 | 7.0.9
Microsoft.NETCore.App.Host.linux-musl-arm | 7.0.9
Microsoft.NETCore.App.Host.win-arm64 | 7.0.9
Microsoft.NETCore.App.Host.win-x86 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.android-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.android-x86 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-x64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.linux-arm | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x86.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x64.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.browser-wasm | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-arm64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x86.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.linux-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-arm64.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.tvos-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.osx-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.tvos-arm64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.perftrace.browser-wasm.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.osx-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.win-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-arm.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-arm | 7.0.9
Microsoft.NETCore.App.Runtime.win-arm64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-arm64.Msi.x86 | 7.0.9
runtime.linux-bionic-x64.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.linux-bionic-x64.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.linux-musl-arm.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.linux-musl-arm.Microsoft.NETCore.DotNetAppHost | 7.0.9
runtime.linux-musl-x64.Microsoft.DotNet.ILCompiler | 7.0.9
runtime.linux-x64.Microsoft.DotNet.ILCompiler | 7.0.9
runtime.win-arm64.Microsoft.DotNet.ILCompiler | 7.0.9
runtime.osx-arm64.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.win-arm64.Microsoft.NETCore.DotNetAppHost | 7.0.9
runtime.win-x64.Microsoft.DotNet.ILCompiler | 7.0.9
runtime.win-arm64.Microsoft.NETCore.DotNetHostResolver | 7.0.9
Microsoft.NETCore.App.Runtime.win-x86.Msi.x86 | 7.0.9
Microsoft.NET.Runtime.WebAssembly.Sdk.Msi.x64 | 7.0.9
Microsoft.NET.Runtime.WebAssembly.Templates.Msi.x86 | 7.0.9
Microsoft.NET.Runtime.WebAssembly.Templates.Msi.x64 | 7.0.9
Microsoft.NET.Workload.Mono.ToolChain.net7.Manifest-7.0.100 | 7.0.9
Microsoft.NETCore.App.Crossgen2.osx-arm64 | 7.0.9
Microsoft.NETCore.App.Crossgen2.win-arm64 | 7.0.9
Microsoft.NETCore.App.Crossgen2.osx-x64 | 7.0.9
Microsoft.NETCore.App.Crossgen2.win-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.android-arm | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.iossimulator-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.ios-arm | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.iossimulator-x86 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.tvossimulator-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-arm64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-x64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-x86 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-x86.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.linux-musl-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.linux-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x64.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.LLVM.osx-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-x64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-x86.Msi.arm64 | 7.0.9
Microsoft.NET.Runtime.WebAssembly.Sdk.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Crossgen2.linux-arm | 7.0.9
Microsoft.NETCore.App.Crossgen2.linux-musl-arm | 7.0.9
Microsoft.NETCore.App.Crossgen2.win-arm | 7.0.9
Microsoft.NETCore.App.Host.win-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.android-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.maccatalyst-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.ios-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.android-x86 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-arm.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-arm64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-x86.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.browser-wasm | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.browser-wasm.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.browser-wasm.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.browser-wasm.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x86.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.linux-arm | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-x64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.LLVM.linux-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.LLVM.linux-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-x64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-x64.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.osx-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.perftrace.browser-wasm.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.tvos-arm64.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-arm64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-arm.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-x86.Msi.x64 | 7.0.9
Microsoft.NETCore.DotNetHostResolver | 7.0.9
Microsoft.NETCore.DotNetAppHost | 7.0.9
Microsoft.NETCore.DotNetHost | 7.0.9
Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.linux-musl-x64.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.linux-x64.Microsoft.NETCore.DotNetAppHost | 7.0.9
runtime.osx-arm64.Microsoft.NETCore.DotNetHostResolver | 7.0.9
runtime.win-arm64.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.win-arm64.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.win-x64.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
Microsoft.NETCore.App.Crossgen2.linux-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.browser-wasm | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.maccatalyst-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.tvossimulator-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.linux-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.linux-musl-arm | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-arm64.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.iossimulator-x64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.LLVM.AOT.linux-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.LLVM.AOT.osx-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.multithread.browser-wasm | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.tvos-arm64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-x64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-arm64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.win-x64.Msi.arm64 | 7.0.9
Microsoft.NETCore.Platforms | 7.0.4
runtime.linux-arm.Microsoft.NETCore.DotNetAppHost | 7.0.9
runtime.linux-arm.Microsoft.NETCore.DotNetHostResolver | 7.0.9
runtime.linux-arm64.Microsoft.NETCore.DotNetAppHost | 7.0.9
runtime.linux-arm64.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.linux-bionic-arm64.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.linux-musl-arm64.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.win-x64.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.win-x64.Microsoft.NETCore.DotNetHostResolver | 7.0.9
runtime.win-x86.Microsoft.NETCore.DotNetHostResolver | 7.0.9
Microsoft.DotNet.ILCompiler | 7.0.9
Microsoft.NET.Runtime.MonoAOTCompiler.Task.Msi.arm64 | 7.0.9
Microsoft.NET.Runtime.Android.Sample.Mono | 7.0.9
Microsoft.NET.Runtime.iOS.Sample.Mono | 7.0.9
Microsoft.NET.Runtime.MonoAOTCompiler.Task | 7.0.9
Microsoft.NET.Runtime.WebAssembly.Sdk.Msi.x86 | 7.0.9
Microsoft.NET.Runtime.MonoTargets.Sdk.Msi.arm64 | 7.0.9
Microsoft.NET.Runtime.MonoTargets.Sdk.Msi.x86 | 7.0.9
Microsoft.NET.Workload.Mono.ToolChain.net6.Manifest-7.0.100 | 7.0.9
Microsoft.NET.Workload.Mono.ToolChain.net7.Manifest-7.0.100.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Crossgen2.linux-musl-arm64 | 7.0.9
Microsoft.NET.Workload.Mono.ToolChain.net7.Manifest-7.0.100.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Host.linux-arm | 7.0.9
Microsoft.NETCore.App.Ref | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.linux-x64.Cross.android-arm | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.osx-x64.Cross.tvos-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.android-arm.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.AOT.win-x64.Cross.browser-wasm.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.linux-bionic-arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.linux-musl-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.android-x86.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.ios-arm64.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.LLVM.AOT.linux-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.maccatalyst-arm64.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.multithread.browser-wasm.Msi.x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.perftrace.browser-wasm | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.perftrace.browser-wasm.Msi.arm64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-arm64.Msi.x86 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-x64 | 7.0.9
Microsoft.NETCore.App.Runtime.Mono.tvossimulator-x64.Msi.x86 | 7.0.9
runtime.linux-arm64.Microsoft.DotNet.ILCompiler | 7.0.9
runtime.linux-bionic-arm64.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.linux-musl-arm.Microsoft.NETCore.DotNetHost | 7.0.9
runtime.linux-musl-x64.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.osx-x64.Microsoft.NETCore.DotNetAppHost | 7.0.9
runtime.win-arm.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
runtime.win-x64.Microsoft.NETCore.DotNetAppHost | 7.0.9
runtime.win-x86.Microsoft.NETCore.DotNetAppHost | 7.0.9
runtime.win-x86.Microsoft.NETCore.DotNetHostPolicy | 7.0.9
Microsoft.AspNetCore.App.Runtime.linux-musl-x64 | 7.0.9
Microsoft.AspNetCore.App.Runtime.linux-arm | 7.0.9
Microsoft.AspNetCore.App.Runtime.linux-x64 | 7.0.9
Microsoft.AspNetCore.App.Runtime.linux-arm64 | 7.0.9
Microsoft.AspNetCore.App.Runtime.osx-x64 | 7.0.9
Microsoft.AspNetCore.App.Ref | 7.0.9
Microsoft.AspNetCore.Authentication.Facebook | 7.0.9
Microsoft.AspNetCore.Authentication.JwtBearer | 7.0.9
Microsoft.AspNetCore.Authentication.Google | 7.0.9
Microsoft.AspNetCore.Authentication.MicrosoftAccount | 7.0.9
Microsoft.AspNetCore.Components.Authorization | 7.0.9
Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation | 7.0.9
Microsoft.AspNetCore.Mvc.Testing | 7.0.9
Microsoft.AspNetCore.OpenApi | 7.0.9
Microsoft.AspNetCore.SignalR.Client | 7.0.9
Microsoft.AspNetCore.SignalR.Protocols.Json | 7.0.9
Microsoft.AspNetCore.SignalR.Common | 7.0.9
Microsoft.AspNetCore.SignalR.Protocols.MessagePack | 7.0.9
Microsoft.Extensions.Diagnostics.HealthChecks | 7.0.9
Microsoft.Extensions.ObjectPool | 7.0.9
Microsoft.AspNetCore.App.Runtime.linux-musl-arm | 7.0.9
Microsoft.AspNetCore.App.Runtime.linux-musl-arm64 | 7.0.9
dotnet-sql-cache | 7.0.9
Microsoft.AspNetCore.App.Runtime.win-x64 | 7.0.9
Microsoft.AspNetCore.Components | 7.0.9
Microsoft.AspNetCore.Components.Analyzers | 7.0.9
Microsoft.AspNetCore.Components.WebAssembly.Authentication | 7.0.9
Microsoft.AspNetCore.Components.WebAssembly.DevServer | 7.0.9
Microsoft.AspNetCore.SignalR.Protocols.NewtonsoftJson | 7.0.9
Microsoft.Extensions.Configuration.KeyPerFile | 7.0.9
Microsoft.Extensions.Logging.AzureAppServices | 7.0.9
Microsoft.Extensions.WebEncoders | 7.0.9
AspNetCoreRuntime.7.0.x64 | 7.0.9
Microsoft.AspNetCore.App.Runtime.win-arm | 7.0.9
Microsoft.AspNetCore.App.Runtime.win-arm64 | 7.0.9
Microsoft.AspNetCore.Authentication.Certificate | 7.0.9
Microsoft.AspNetCore.Authorization | 7.0.9
Microsoft.AspNetCore.Components.CustomElements | 7.0.9
Microsoft.AspNetCore.Components.Forms | 7.0.9
Microsoft.AspNetCore.Components.WebAssembly | 7.0.9
Microsoft.AspNetCore.Components.WebAssembly.Server | 7.0.9
Microsoft.AspNetCore.SignalR.StackExchangeRedis | 7.0.9
Microsoft.AspNetCore.SignalR.Specification.Tests | 7.0.9
Microsoft.AspNetCore.SpaServices.Extensions | 7.0.9
Microsoft.AspNetCore.SpaProxy | 7.0.9
Microsoft.AspNetCore.TestHost | 7.0.9
Microsoft.Extensions.Caching.SqlServer | 7.0.9
Microsoft.dotnet-openapi | 7.0.9
Microsoft.Authentication.WebAssembly.Msal | 7.0.9
Microsoft.DotNet.Web.ItemTemplates.7.0 | 7.0.9
Microsoft.DotNet.Web.Client.ItemTemplates | 7.0.9
Microsoft.DotNet.Web.ProjectTemplates.7.0 | 7.0.9
Microsoft.Extensions.ApiDescription.Client | 7.0.9
Microsoft.Extensions.ApiDescription.Server | 7.0.9
Microsoft.DotNet.Web.Spa.ProjectTemplates.7.0 | 7.0.9
Microsoft.Extensions.Caching.StackExchangeRedis | 7.0.9
Microsoft.JSInterop | 7.0.9
Microsoft.AspNetCore.ApiAuthorization.IdentityServer | 7.0.9
Microsoft.AspNetCore.App.Runtime.win-x86 | 7.0.9
Microsoft.AspNetCore.Components.Web | 7.0.9
Microsoft.AspNetCore.AzureAppServicesIntegration | 7.0.9
Microsoft.AspNetCore.DataProtection.EntityFrameworkCore | 7.0.9
Microsoft.AspNetCore.Components.WebView | 7.0.9
Microsoft.AspNetCore.Cryptography.KeyDerivation | 7.0.9
Microsoft.AspNetCore.DataProtection.Abstractions | 7.0.9
Microsoft.AspNetCore.DataProtection.StackExchangeRedis | 7.0.9
Microsoft.AspNetCore.DataProtection.Extensions | 7.0.9
Microsoft.AspNetCore.Hosting.WindowsServices | 7.0.9
Microsoft.AspNetCore.Identity.EntityFrameworkCore | 7.0.9
Microsoft.AspNetCore.Http.Connections.Common | 7.0.9
Microsoft.AspNetCore.JsonPatch | 7.0.9
Microsoft.AspNetCore.Metadata | 7.0.9
Microsoft.AspNetCore.MiddlewareAnalysis | 7.0.9
Microsoft.AspNetCore.Mvc.NewtonsoftJson | 7.0.9
Microsoft.AspNetCore.SignalR.Client.Core | 7.0.9
Microsoft.AspNetCore.Owin | 7.0.9
Microsoft.Extensions.Diagnostics.HealthChecks.Abstractions | 7.0.9
Microsoft.Extensions.Identity.Stores | 7.0.9
Microsoft.Extensions.FileProviders.Embedded | 7.0.9
Microsoft.Extensions.Diagnostics.HealthChecks.EntityFrameworkCore | 7.0.9
Microsoft.Extensions.Localization | 7.0.9
Microsoft.Extensions.Features | 7.0.9
Microsoft.Extensions.Http.Polly | 7.0.9
Microsoft.Extensions.Identity.Core | 7.0.9
Microsoft.Extensions.Localization.Abstractions | 7.0.9
Microsoft.AspNetCore.App.Runtime.osx-arm64 | 7.0.9
AspNetCoreRuntime.7.0.x86 | 7.0.9
Microsoft.AspNetCore.Authentication.Negotiate | 7.0.9
Microsoft.AspNetCore.Authentication.OpenIdConnect | 7.0.9
Microsoft.AspNetCore.Authentication.Twitter | 7.0.9
Microsoft.AspNetCore.Authentication.WsFederation | 7.0.9
Microsoft.AspNetCore.AzureAppServices.SiteExtension | 7.0.9
Microsoft.AspNetCore.AzureAppServices.HostingStartup | 7.0.9
Microsoft.AspNetCore.ConcurrencyLimiter | 7.0.9
Microsoft.AspNetCore.Connections.Abstractions | 7.0.9
Microsoft.AspNetCore.Cryptography.Internal | 7.0.9
Microsoft.AspNetCore.DataProtection | 7.0.9
Microsoft.AspNetCore.Diagnostics.EntityFrameworkCore | 7.0.9
Microsoft.AspNetCore.Identity.UI | 7.0.9
Microsoft.AspNetCore.Grpc.JsonTranscoding | 7.0.9
Microsoft.AspNetCore.Grpc.Swagger | 0.3.9
Microsoft.AspNetCore.HeaderPropagation | 7.0.9
Microsoft.AspNetCore.Http.Connections.Client | 7.0.9
Microsoft.JSInterop.WebAssembly | 7.0.9
Microsoft.DotNet.ApiCompat.Tool | 7.0.306
Microsoft.DotNet.Common.ItemTemplates | 7.0.306
Microsoft.DotNet.Common.ProjectTemplates.7.0 | 7.0.306
FSharp.Core | 7.0.300
Microsoft.NET.Build.Containers | 7.0.306
FSharp.Compiler.Service | 43.7.300
Microsoft.DotNet.ApiCompat.Task | 7.0.306
Microsoft.NET.ILLink.Tasks | 7.0.100-1.23321.1
Microsoft.NET.ILLink | 7.0.100-1.23321.1
Microsoft.NET.ILLink.Analyzers | 7.0.100-1.23321.1
Microsoft.NET.Runtime.Emscripten.3.1.12.Python.osx-x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Cache.win-x64.Msi.arm64 | 7.0.9
Microsoft.NET.Workload.Emscripten.net7.Manifest-7.0.100.Msi.arm64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Sdk.linux-x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Cache.win-x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Sdk.win-x64.Msi.arm64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Sdk.win-x64.Msi.x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Python.win-x64.Msi.x64 | 7.0.9
Microsoft.NET.Workload.Emscripten.net6.Manifest-7.0.100 | 7.0.9
Microsoft.NET.Workload.Emscripten.net6.Manifest-7.0.100.Msi.arm64 | 7.0.9
Microsoft.NET.Workload.Emscripten.net7.Manifest-7.0.100.Msi.x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Sdk.win-x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Python.win-x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Cache.linux-x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Node.osx-x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Node.win-x64.Msi.x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Node.win-x64.Msi.arm64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Node.win-x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Python.win-x64.Msi.arm64 | 7.0.9
Microsoft.NET.Workload.Emscripten.net6.Manifest-7.0.100.Msi.x64 | 7.0.9
Microsoft.NET.Workload.Emscripten.net7.Manifest-7.0.100.Msi.x86 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Cache.osx-x64 | 7.0.9
Microsoft.NET.Workload.Emscripten.net7.Manifest-7.0.100 | 7.0.9
Microsoft.NET.Workload.Emscripten.net6.Manifest-7.0.100.Msi.x86 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Sdk.osx-x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Node.linux-x64 | 7.0.9
Microsoft.NET.Runtime.Emscripten.3.1.12.Cache.win-x64.Msi.x64 | 7.0.9
Microsoft.EntityFrameworkCore.Abstractions | 7.0.9
Microsoft.EntityFrameworkCore.Design | 7.0.9
Microsoft.EntityFrameworkCore.Analyzers | 7.0.9
Microsoft.EntityFrameworkCore.Cosmos | 7.0.9
Microsoft.EntityFrameworkCore.InMemory | 7.0.9
Microsoft.EntityFrameworkCore.Relational.Specification.Tests | 7.0.9
Microsoft.EntityFrameworkCore.Templates | 7.0.9
Microsoft.EntityFrameworkCore.Tools | 7.0.9
Microsoft.EntityFrameworkCore.AspNet.Specification.Tests | 7.0.9
dotnet-ef | 7.0.9
Microsoft.Data.Sqlite.Core | 7.0.9
Microsoft.EntityFrameworkCore.Relational | 7.0.9
Microsoft.EntityFrameworkCore.SqlServer.NetTopologySuite | 7.0.9
Microsoft.Data.Sqlite | 7.0.9
Microsoft.EntityFrameworkCore | 7.0.9
Microsoft.EntityFrameworkCore.Specification.Tests | 7.0.9
Microsoft.EntityFrameworkCore.Proxies | 7.0.9
Microsoft.EntityFrameworkCore.Sqlite.NetTopologySuite | 7.0.9
Microsoft.EntityFrameworkCore.SqlServer | 7.0.9
Microsoft.EntityFrameworkCore.Sqlite | 7.0.9
Microsoft.EntityFrameworkCore.Sqlite.Core | 7.0.9
Microsoft.TemplateEngine.Core | 7.0.306
Microsoft.TemplateEngine.Authoring.TemplateVerifier | 7.0.306
Microsoft.TemplateEngine.Edge | 7.0.306
Microsoft.TemplateEngine.IDE | 7.0.306
Microsoft.TemplateEngine.Core.Contracts | 7.0.306
Microsoft.TemplateEngine.TemplateLocalizer.Core | 7.0.306
Microsoft.TemplateEngine.Authoring.Tasks | 7.0.306
Microsoft.TemplateEngine.Orchestrator.RunnableProjects | 7.0.306
Microsoft.TemplateEngine.Authoring.CLI | 7.0.306
Microsoft.TemplateEngine.Abstractions | 7.0.306
Microsoft.TemplateEngine.Utils | 7.0.306
Microsoft.TemplateSearch.Common | 7.0.306
FSharp.Core | 7.0.0
Microsoft.DotNet.ApiCompat.Task | 7.0.109
Microsoft.DotNet.ApiCompat.Tool | 7.0.109
FSharp.Compiler.Service | 42.7.101
Microsoft.DotNet.Common.ProjectTemplates.7.0 | 7.0.109
Microsoft.DotNet.Common.ItemTemplates | 7.0.109
Microsoft.TemplateEngine.Edge | 7.0.109
Microsoft.TemplateEngine.Orchestrator.RunnableProjects | 7.0.109
Microsoft.TemplateEngine.Abstractions | 7.0.109
Microsoft.TemplateEngine.Core.Contracts | 7.0.109
Microsoft.TemplateEngine.IDE | 7.0.109
Microsoft.TemplateEngine.Core | 7.0.109
Microsoft.TemplateEngine.Tasks | 7.0.109
Microsoft.TemplateEngine.TemplateLocalizer | 7.0.109
Microsoft.TemplateSearch.Common | 7.0.109
Microsoft.TemplateEngine.TemplateLocalizer.Core | 7.0.109
Microsoft.TemplateEngine.Utils | 7.0.109

[//]: # ( Runtime 7.0.9)
[dotnet-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/56d9cc93-d139-4ce1-b857-b0fecd35766c/0ad0883fe14a66e2ebf27dd48f15fead/dotnet-runtime-7.0.9-linux-arm.tar.gz
[dotnet-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/f693db81-adb6-4481-862a-887993824572/9bd6d12296a5b07d8b4b0190afab4152/dotnet-runtime-7.0.9-linux-arm64.tar.gz
[dotnet-runtime-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/e3ddd2ab-be5f-491e-8e4a-b3a8137e5bbf/f3b6dbf360ac9f303348210e83087b41/dotnet-runtime-7.0.9-linux-musl-arm.tar.gz
[dotnet-runtime-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/28b3d412-53f0-4352-ae85-22b366882ff5/5cce7b459d1793539bc5c9e9efe8bda1/dotnet-runtime-7.0.9-linux-musl-arm64.tar.gz
[dotnet-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/26890d64-dc4a-41a5-a2c7-ac07665d29c7/130b97b925d14241d0b4385bc966f3a6/dotnet-runtime-7.0.9-linux-musl-x64.tar.gz
[dotnet-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/ecc0d5e3-61f5-49b1-ac1f-3b46956e1139/1ec7760b1697363667623f22a16c67b5/dotnet-runtime-7.0.9-linux-x64.tar.gz
[dotnet-runtime-osx-arm64.pkg]: https://download.visualstudio.microsoft.com/download/pr/f60a91ca-5f28-4fc5-99c4-c5c73cbf1302/96070a6b372d1dfa3eea416f6d3bd8af/dotnet-runtime-7.0.9-osx-arm64.pkg
[dotnet-runtime-osx-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/20e6ef57-7686-4115-b7e6-ac561dcbf4fa/e2bf64248953cb06d5bafd6919f48905/dotnet-runtime-7.0.9-osx-arm64.tar.gz
[dotnet-runtime-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/915a7546-ac65-4f7f-bab8-4e472547034b/7ba12f89b0ea3a0aae72f6fe37c46b4f/dotnet-runtime-7.0.9-osx-x64.pkg
[dotnet-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/f12bda3f-cef0-4d22-8ffe-89f553b0e5ed/a0ff4b2aeae50d5192e0e6f47075345b/dotnet-runtime-7.0.9-osx-x64.tar.gz
[dotnet-runtime-win-arm64.exe]: https://download.visualstudio.microsoft.com/download/pr/6ac49e44-530c-4eb0-9519-b74f72782aba/12bc64e80c33ba34412f5b7c0437087a/dotnet-runtime-7.0.9-win-arm64.exe
[dotnet-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/4a188257-2882-4417-888a-2c8869a59157/6d691243cf08cd992bd5a8b3e4f2d7c6/dotnet-runtime-7.0.9-win-arm64.zip
[dotnet-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/73058888-02a4-4f6d-b3cd-845531c2d7d0/a785e54b7f12046c00714b2ba759e173/dotnet-runtime-7.0.9-win-x64.exe
[dotnet-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/844ca1a6-a492-4935-8b31-2a145c06830c/83dce74a20a59402836e95b57cd9799e/dotnet-runtime-7.0.9-win-x64.zip
[dotnet-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/305a85f5-2b0d-459b-b2ea-caf71b98d25d/805edc610efa49432e5e268bbba4eacb/dotnet-runtime-7.0.9-win-x86.exe
[dotnet-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/ca8eb4a3-dd9d-4ab9-93c0-68e3cf3ab37f/f854c84598b86658de6b57eeeaec547d/dotnet-runtime-7.0.9-win-x86.zip

[//]: # ( WindowsDesktop 7.0.9)
[windowsdesktop-runtime-win-arm64.exe]: https://download.visualstudio.microsoft.com/download/pr/92ce753a-1575-4b2c-9783-d29635190dc8/aa103a5af65c9fa15e488112563e322e/windowsdesktop-runtime-7.0.9-win-arm64.exe
[windowsdesktop-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/d9b1a848-a61d-40a7-9acb-1a85c819d8e3/1d219f13868b31336991723df5d233b8/windowsdesktop-runtime-7.0.9-win-arm64.zip
[windowsdesktop-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/7727acb3-25ca-473b-a392-75afeb33cab7/f11f0477fd2fcfbb3111881377d0c9bb/windowsdesktop-runtime-7.0.9-win-x64.exe
[windowsdesktop-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/926ac848-9e32-4600-8614-c5780ff9dc2e/7ab2105f5b4538082a11a06b2250e9d6/windowsdesktop-runtime-7.0.9-win-x64.zip
[windowsdesktop-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/139b19d0-2d39-48ce-b59a-aec437509c20/ea6a2711eec53660c3b14d78b9fb2963/windowsdesktop-runtime-7.0.9-win-x86.exe
[windowsdesktop-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/c4edec15-e333-4dbb-bf58-2bfcb64268bc/184f3dd02504d797a62618c0f8023cd8/windowsdesktop-runtime-7.0.9-win-x86.zip

[//]: # ( ASP 7.0.9)
[aspnetcore-runtime-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/3463b963-3438-43db-84eb-e660956c99d6/b8486eb997e3991c5c04800ae8665cc2/aspnetcore-runtime-7.0.9-linux-arm.tar.gz
[aspnetcore-runtime-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/9aca092c-f9c0-48d7-a01f-3c1c2eaac903/01b345ddecc7a90d5c99d016fa5180a6/aspnetcore-runtime-7.0.9-linux-arm64.tar.gz
[aspnetcore-runtime-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/e7203a8e-9154-456a-b7a7-8db35d15ec2c/439331aab69f89aae74cd327adc1a04b/aspnetcore-runtime-7.0.9-linux-musl-arm.tar.gz
[aspnetcore-runtime-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/18de9f11-abf4-41f8-9665-2ac39f4d54da/bfdb318a208998ecd27144e3cc03ab1e/aspnetcore-runtime-7.0.9-linux-musl-arm64.tar.gz
[aspnetcore-runtime-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/a65d7552-e704-4bd3-b7bf-50b2f163c833/f806ebd9afd7976d5b2dee5cebfb31d0/aspnetcore-runtime-7.0.9-linux-musl-x64.tar.gz
[aspnetcore-runtime-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/c1348fca-4ef4-46bc-9f6e-04f2315e0d3e/50fe6b7c2df482cdc880b66bd46834c7/aspnetcore-runtime-7.0.9-linux-x64.tar.gz
[aspnetcore-runtime-osx-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/f967c09c-7a90-4da9-b933-926ed7870b16/0e5fbf15f170ceaee7e3d1865b856a99/aspnetcore-runtime-7.0.9-osx-arm64.tar.gz
[aspnetcore-runtime-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/7e6cb756-70e3-4974-b96c-dc9b9d138306/9b0ea50c629660a565db33e74a69fe8c/aspnetcore-runtime-7.0.9-osx-x64.tar.gz
[aspnetcore-runtime-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/0f79d46f-451b-4d4e-9806-7227dc772053/ff121f782b8334769559e4bfcd9ff543/aspnetcore-runtime-7.0.9-win-arm64.zip
[aspnetcore-runtime-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/edd9c9b1-0c49-4297-9197-9392b2462318/d06fedaefb256d801ce94ade76af3ad9/aspnetcore-runtime-7.0.9-win-x64.exe
[aspnetcore-runtime-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/ca6dc967-fbfb-4921-ae6e-7cac4f5c7144/1eac6763e9f114188f66f8ce53e0d1af/aspnetcore-runtime-7.0.9-win-x64.zip
[aspnetcore-runtime-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/6ec3b357-31df-4b18-948f-4979a5b4b99f/fdeec71fc7f0f34ecfa0cb8b2b897da0/aspnetcore-runtime-7.0.9-win-x86.exe
[aspnetcore-runtime-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/08efeb22-8363-4ed8-9cd4-59ddc2d5d024/ab726241cc33a37cf8942d698a6d4859/aspnetcore-runtime-7.0.9-win-x86.zip
[dotnet-hosting-win.exe]: https://download.visualstudio.microsoft.com/download/pr/a1918362-b09b-4593-a4b1-e5f0d9bd68b0/2470e7376871b57867655c057e878800/dotnet-hosting-7.0.9-win.exe

[//]: # ( SDK 7.0.306)
[dotnet-sdk-linux-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/515a31e8-435a-414e-b2a4-1c97717f2ec8/77829313674dab576797d2b572f713bf/dotnet-sdk-7.0.306-linux-arm.tar.gz
[dotnet-sdk-linux-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/fb648e91-a4b9-4fc1-b6a3-acd293668e75/ccdc8a107bdb8b8f59ae6bb66ebecb6e/dotnet-sdk-7.0.306-linux-arm64.tar.gz
[dotnet-sdk-linux-musl-arm.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/33366dc4-f75d-4166-9acc-990da41652ca/4141ed9ae8160222535744f901767996/dotnet-sdk-7.0.306-linux-musl-arm.tar.gz
[dotnet-sdk-linux-musl-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/2185a6aa-d159-4d65-8b4b-04f91f1fce8f/26605f67a0a32d92491222669eeb3553/dotnet-sdk-7.0.306-linux-musl-arm64.tar.gz
[dotnet-sdk-linux-musl-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/2cd3ad74-b58e-472b-bb0b-318b951c0ab4/dee685848e73c9fa85c93112cbac89ac/dotnet-sdk-7.0.306-linux-musl-x64.tar.gz
[dotnet-sdk-linux-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/0be7a87e-3a3f-4500-8301-49ccd6f24887/e9e36f35dbaf6625fec3e18f5c2b613f/dotnet-sdk-7.0.306-linux-x64.tar.gz
[dotnet-sdk-osx-arm64.pkg]: https://download.visualstudio.microsoft.com/download/pr/4cfe3db4-4922-404d-b2de-db478a9a6c4a/5ec100c639e38cac64a61a02c9ab4df7/dotnet-sdk-7.0.306-osx-arm64.pkg
[dotnet-sdk-osx-arm64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/0e57f35a-00e6-49ab-aa75-7ae6711f0a8e/f28c04285b8bfd3f975731a186e23c23/dotnet-sdk-7.0.306-osx-arm64.tar.gz
[dotnet-sdk-osx-x64.pkg]: https://download.visualstudio.microsoft.com/download/pr/534a66a3-31a4-4cf7-9866-319414f5876d/f6e644cc2bdcab7801efef1c533e8400/dotnet-sdk-7.0.306-osx-x64.pkg
[dotnet-sdk-osx-x64.tar.gz]: https://download.visualstudio.microsoft.com/download/pr/3d615bde-bfce-4ee0-a3b9-73dc4ea5a472/907ac9c03d971c7577ce60932456b3e3/dotnet-sdk-7.0.306-osx-x64.tar.gz
[dotnet-sdk-win-arm64.exe]: https://download.visualstudio.microsoft.com/download/pr/0abe2f26-3a56-4be1-b9d4-25f0b3ba0cda/8e295d7d1fd044d6b30663f341f3c742/dotnet-sdk-7.0.306-win-arm64.exe
[dotnet-sdk-win-arm64.zip]: https://download.visualstudio.microsoft.com/download/pr/5a31ece9-d3d6-48e4-b26a-5a9df5cecb7e/0410d6132c7625806f19016cb8de875e/dotnet-sdk-7.0.306-win-arm64.zip
[dotnet-sdk-win-x64.exe]: https://download.visualstudio.microsoft.com/download/pr/4c0aaf08-3fa1-4fa0-8435-73b85eee4b32/e8264b3530b03b74b04ecfcf1666fe93/dotnet-sdk-7.0.306-win-x64.exe
[dotnet-sdk-win-x64.zip]: https://download.visualstudio.microsoft.com/download/pr/3c443568-43b0-40b1-bb5c-3a6d8cd31876/e7d6c5b176b1c985a5f972dbf2c721b3/dotnet-sdk-7.0.306-win-x64.zip
[dotnet-sdk-win-x86.exe]: https://download.visualstudio.microsoft.com/download/pr/3bb3c837-6700-4aab-840d-d6c71bf83429/0c12a0e73a1a8340a7d27959097f59d1/dotnet-sdk-7.0.306-win-x86.exe
[dotnet-sdk-win-x86.zip]: https://download.visualstudio.microsoft.com/download/pr/0093f6e4-62bd-471d-b380-011570896eee/594aa2af220112001b442e931ef846ef/dotnet-sdk-7.0.306-win-x86.zip
