# Microsoft.AspNetCore.Components

``` diff
 namespace Microsoft.AspNetCore.Components {
-    public class BindingError {
 {
-        public string? AttemptedValue { get; }

-        public object Container { get; internal set; }

-        public IReadOnlyList<FormattableString> ErrorMessages { get; }

-        public string Name { get; }

-        public string Path { get; }

-    }
-    public sealed class CascadingModelBinder : ICascadingValueSupplier, IComponent, IDisposable {
 {
-        public CascadingModelBinder();

-        public RenderFragment<ModelBindingContext> ChildContent { get; set; }

-        public bool IsFixed { get; set; }

-        public string Name { get; set; }

-        void IComponent.Attach(RenderHandle renderHandle);

-        Task IComponent.SetParametersAsync(ParameterView parameters);

-        void IDisposable.Dispose();

-    }
+    public class CascadingValueSource<TValue> : ICascadingValueSupplier {
+        public CascadingValueSource(Func<TValue> valueFactory, bool isFixed);
+        public CascadingValueSource(string name, Func<TValue> valueFactory, bool isFixed);
+        public CascadingValueSource(string name, TValue value, bool isFixed);
+        public CascadingValueSource(TValue value, bool isFixed);
+        public Task NotifyChangedAsync();
+        public Task NotifyChangedAsync(TValue newValue);
+    }
-    public sealed class ModelBindingContext {
 {
-        public string BindingContextId { get; }

-        public string Name { get; }

-        public IEnumerable<BindingError> GetAllErrors();

-        public IEnumerable<BindingError> GetAllErrors(string formName);

-        public string? GetAttemptedValue(string key);

-        public string? GetAttemptedValue(string formName, string key);

-        public BindingError? GetErrors(string key);

-        public BindingError? GetErrors(string formName, string key);

-    }
     public sealed class SupplyParameterFromFormAttribute : CascadingParameterAttributeBase {
+        public string Handler { get; set; }
     }
+    public static class SupplyParameterFromQueryProviderServiceCollectionExtensions {
+        public static IServiceCollection AddSupplyValueFromQueryProvider(this IServiceCollection services);
+    }
 }
```

