# System.ComponentModel.Design.Serialization

``` diff
 namespace System.ComponentModel.Design.Serialization {
     public abstract class CodeDomSerializerBase {
-        protected object DeserializeExpression(IDesignerSerializationManager manager, string name, CodeExpression expression);
+        protected object? DeserializeExpression(IDesignerSerializationManager manager, string? name, CodeExpression? expression);
-        protected virtual object DeserializeInstance(IDesignerSerializationManager manager, Type type, object[] parameters, string name, bool addToContainer);
+        protected virtual object DeserializeInstance(IDesignerSerializationManager manager, Type type, object?[]? parameters, string? name, bool addToContainer);
-        protected void DeserializePropertiesFromResources(IDesignerSerializationManager manager, object value, Attribute[] filter);
+        protected void DeserializePropertiesFromResources(IDesignerSerializationManager manager, object value, Attribute[]? filter);
-        protected static EventDescriptorCollection GetEventsHelper(IDesignerSerializationManager manager, object instance, Attribute[] attributes);
+        protected static EventDescriptorCollection GetEventsHelper(IDesignerSerializationManager manager, object instance, Attribute[]? attributes);
-        protected CodeExpression GetExpression(IDesignerSerializationManager manager, object value);
+        protected CodeExpression? GetExpression(IDesignerSerializationManager manager, object value);
-        protected static PropertyDescriptorCollection GetPropertiesHelper(IDesignerSerializationManager manager, object instance, Attribute[] attributes);
+        protected static PropertyDescriptorCollection GetPropertiesHelper(IDesignerSerializationManager manager, object instance, Attribute[]? attributes);
-        protected CodeDomSerializer GetSerializer(IDesignerSerializationManager manager, object value);
+        protected CodeDomSerializer? GetSerializer(IDesignerSerializationManager manager, object? value);
-        protected CodeDomSerializer GetSerializer(IDesignerSerializationManager manager, Type valueType);
+        protected CodeDomSerializer? GetSerializer(IDesignerSerializationManager manager, Type valueType);
-        protected static TypeDescriptionProvider GetTargetFrameworkProvider(IServiceProvider provider, object instance);
+        protected static TypeDescriptionProvider? GetTargetFrameworkProvider(IServiceProvider provider, object instance);
-        protected CodeExpression SerializeCreationExpression(IDesignerSerializationManager manager, object value, out bool isComplete);
+        protected CodeExpression? SerializeCreationExpression(IDesignerSerializationManager manager, object value, out bool isComplete);
-        protected void SerializeEvents(IDesignerSerializationManager manager, CodeStatementCollection statements, object value, params Attribute[] filter);
+        protected void SerializeEvents(IDesignerSerializationManager manager, CodeStatementCollection statements, object value, params Attribute[]? filter);
-        protected void SerializeProperties(IDesignerSerializationManager manager, CodeStatementCollection statements, object value, Attribute[] filter);
+        protected void SerializeProperties(IDesignerSerializationManager manager, CodeStatementCollection statements, object value, Attribute[]? filter);
-        protected void SerializePropertiesToResources(IDesignerSerializationManager manager, CodeStatementCollection statements, object value, Attribute[] filter);
+        protected void SerializePropertiesToResources(IDesignerSerializationManager manager, CodeStatementCollection statements, object value, Attribute[]? filter);
-        protected void SerializeResource(IDesignerSerializationManager manager, string resourceName, object value);
+        protected void SerializeResource(IDesignerSerializationManager manager, string resourceName, object? value);
-        protected void SerializeResourceInvariant(IDesignerSerializationManager manager, string resourceName, object value);
+        protected void SerializeResourceInvariant(IDesignerSerializationManager manager, string resourceName, object? value);
-        protected CodeExpression SerializeToExpression(IDesignerSerializationManager manager, object value);
+        protected CodeExpression? SerializeToExpression(IDesignerSerializationManager manager, object? value);
-        protected CodeExpression SerializeToResourceExpression(IDesignerSerializationManager manager, object value);
+        protected CodeExpression? SerializeToResourceExpression(IDesignerSerializationManager manager, object? value);
-        protected CodeExpression SerializeToResourceExpression(IDesignerSerializationManager manager, object value, bool ensureInvariant);
+        protected CodeExpression? SerializeToResourceExpression(IDesignerSerializationManager manager, object? value, bool ensureInvariant);
     }
 }
```

