# System.Windows.Forms

``` diff
 namespace System.Windows.Forms {
     public abstract class AxHost : Control, ICustomTypeDescriptor, ISupportInitialize {
-        AttributeCollection System.ComponentModel.ICustomTypeDescriptor.GetAttributes();
+        AttributeCollection ICustomTypeDescriptor.GetAttributes();
-        string System.ComponentModel.ICustomTypeDescriptor.GetClassName();
+        string ICustomTypeDescriptor.GetClassName();
-        string System.ComponentModel.ICustomTypeDescriptor.GetComponentName();
+        string ICustomTypeDescriptor.GetComponentName();
-        TypeConverter System.ComponentModel.ICustomTypeDescriptor.GetConverter();
+        TypeConverter ICustomTypeDescriptor.GetConverter();
-        EventDescriptor System.ComponentModel.ICustomTypeDescriptor.GetDefaultEvent();
+        EventDescriptor ICustomTypeDescriptor.GetDefaultEvent();
-        PropertyDescriptor System.ComponentModel.ICustomTypeDescriptor.GetDefaultProperty();
+        PropertyDescriptor ICustomTypeDescriptor.GetDefaultProperty();
-        object System.ComponentModel.ICustomTypeDescriptor.GetEditor(Type editorBaseType);
+        object ICustomTypeDescriptor.GetEditor(Type editorBaseType);
-        EventDescriptorCollection System.ComponentModel.ICustomTypeDescriptor.GetEvents();
+        EventDescriptorCollection ICustomTypeDescriptor.GetEvents();
-        EventDescriptorCollection System.ComponentModel.ICustomTypeDescriptor.GetEvents(Attribute[] attributes);
+        EventDescriptorCollection ICustomTypeDescriptor.GetEvents(Attribute[] attributes);
-        PropertyDescriptorCollection System.ComponentModel.ICustomTypeDescriptor.GetProperties();
+        PropertyDescriptorCollection ICustomTypeDescriptor.GetProperties();
-        PropertyDescriptorCollection System.ComponentModel.ICustomTypeDescriptor.GetProperties(Attribute[] attributes);
+        PropertyDescriptorCollection ICustomTypeDescriptor.GetProperties(Attribute[] attributes);
-        object System.ComponentModel.ICustomTypeDescriptor.GetPropertyOwner(PropertyDescriptor pd);
+        object ICustomTypeDescriptor.GetPropertyOwner(PropertyDescriptor pd);
     }
     public abstract class ButtonBase : Control, ICommandBindingTargetProvider {
         public class ButtonBaseAccessibleObject : Control.ControlAccessibleObject {
+            public override string KeyboardShortcut { get; }
+            public override string Name { get; }
         }
     }
     public class ComboBox : ListControl {
-        public override Image BackgroundImage { get; set; }
+        public override Image? BackgroundImage { get; set; }
-        public new object DataSource { get; set; }
+        public new object? DataSource { get; set; }
-        public object SelectedItem { get; set; }
+        public object? SelectedItem { get; set; }
-        public new event EventHandler BackgroundImageChanged;
+        public new event EventHandler? BackgroundImageChanged;
-        public new event EventHandler BackgroundImageLayoutChanged;
+        public new event EventHandler? BackgroundImageLayoutChanged;
-        public new event EventHandler DoubleClick;
+        public new event EventHandler? DoubleClick;
-        public event DrawItemEventHandler DrawItem;
+        public event DrawItemEventHandler? DrawItem;
-        public event EventHandler DropDown;
+        public event EventHandler? DropDown;
-        public event EventHandler DropDownClosed;
+        public event EventHandler? DropDownClosed;
-        public event EventHandler DropDownStyleChanged;
+        public event EventHandler? DropDownStyleChanged;
-        public event MeasureItemEventHandler MeasureItem;
+        public event MeasureItemEventHandler? MeasureItem;
-        public new event EventHandler PaddingChanged;
+        public new event EventHandler? PaddingChanged;
-        public new event PaintEventHandler Paint;
+        public new event PaintEventHandler? Paint;
-        public event EventHandler SelectedIndexChanged;
+        public event EventHandler? SelectedIndexChanged;
-        public event EventHandler SelectionChangeCommitted;
+        public event EventHandler? SelectionChangeCommitted;
-        public event EventHandler TextUpdate;
+        public event EventHandler? TextUpdate;
-        protected virtual void AddItemsCore(object[] value);
+        protected virtual void AddItemsCore(object[]? value);
-        public int FindString(string s);
+        public int FindString(string? s);
-        public int FindString(string s, int startIndex);
+        public int FindString(string? s, int startIndex);
-        public int FindStringExact(string s);
+        public int FindStringExact(string? s);
-        public int FindStringExact(string s, int startIndex);
+        public int FindStringExact(string? s, int startIndex);
     }
     public class DataGridView : Control, ISupportInitialize {
         public sealed class HitTestInfo {
-            public override bool Equals(object value);
+            public override bool Equals(object? value);
         }
     }
     public class DataGridViewTopLeftHeaderCell : DataGridViewColumnHeaderCell {
-        protected override void Paint(Graphics graphics, Rectangle clipBounds, Rectangle cellBounds, int rowIndex, DataGridViewElementStates cellState, object value, object formattedValue, string errorText, DataGridViewCellStyle cellStyle, DataGridViewAdvancedBorderStyle advancedBorderStyle, DataGridViewPaintParts paintParts);
+        protected override void Paint(Graphics graphics, Rectangle clipBounds, Rectangle cellBounds, int rowIndex, DataGridViewElementStates cellState, object? value, object? formattedValue, string? errorText, DataGridViewCellStyle cellStyle, DataGridViewAdvancedBorderStyle advancedBorderStyle, DataGridViewPaintParts paintParts);
     }
     public sealed class HtmlDocument {
-        public HtmlElement ActiveElement { get; }
+        public HtmlElement? ActiveElement { get; }
-        public HtmlElement Body { get; }
+        public HtmlElement? Body { get; }
-        public Uri Url { get; }
+        public Uri? Url { get; }
-        public HtmlWindow Window { get; }
+        public HtmlWindow? Window { get; }
-        public event HtmlElementEventHandler Click;
+        public event HtmlElementEventHandler? Click;
-        public event HtmlElementEventHandler ContextMenuShowing;
+        public event HtmlElementEventHandler? ContextMenuShowing;
-        public event HtmlElementEventHandler Focusing;
+        public event HtmlElementEventHandler? Focusing;
-        public event HtmlElementEventHandler LosingFocus;
+        public event HtmlElementEventHandler? LosingFocus;
-        public event HtmlElementEventHandler MouseDown;
+        public event HtmlElementEventHandler? MouseDown;
-        public event HtmlElementEventHandler MouseLeave;
+        public event HtmlElementEventHandler? MouseLeave;
-        public event HtmlElementEventHandler MouseMove;
+        public event HtmlElementEventHandler? MouseMove;
-        public event HtmlElementEventHandler MouseOver;
+        public event HtmlElementEventHandler? MouseOver;
-        public event HtmlElementEventHandler MouseUp;
+        public event HtmlElementEventHandler? MouseUp;
-        public event HtmlElementEventHandler Stop;
+        public event HtmlElementEventHandler? Stop;
-        public HtmlElement CreateElement(string elementTag);
+        public HtmlElement? CreateElement(string elementTag);
-        public override bool Equals(object obj);
+        public override bool Equals(object? obj);
-        public HtmlElement GetElementById(string id);
+        public HtmlElement? GetElementById(string id);
-        public HtmlElement GetElementFromPoint(Point point);
+        public HtmlElement? GetElementFromPoint(Point point);
-        public object InvokeScript(string scriptName);
+        public object? InvokeScript(string scriptName);
-        public object InvokeScript(string scriptName, object[] args);
+        public object? InvokeScript(string scriptName, object[]? args);
-        public HtmlDocument OpenNew(bool replaceInHistory);
+        public HtmlDocument? OpenNew(bool replaceInHistory);
-        public static bool operator ==(HtmlDocument left, HtmlDocument right);
+        public static bool operator ==(HtmlDocument? left, HtmlDocument? right);
-        public static bool operator !=(HtmlDocument left, HtmlDocument right);
+        public static bool operator !=(HtmlDocument? left, HtmlDocument? right);
     }
     public sealed class HtmlElementCollection : ICollection, IEnumerable {
-        bool System.Collections.ICollection.IsSynchronized { get; }
+        bool ICollection.IsSynchronized { get; }
-        object System.Collections.ICollection.SyncRoot { get; }
+        object ICollection.SyncRoot { get; }
-        public HtmlElement this[int index] { get; }
+        public HtmlElement? this[int index] { get; }
-        public HtmlElement this[string elementId] { get; }
+        public HtmlElement? this[string elementId] { get; }
-        void System.Collections.ICollection.CopyTo(Array dest, int index);
+        void ICollection.CopyTo(Array dest, int index);
     }
     public sealed class HtmlElementEventArgs : EventArgs {
-        public HtmlElement FromElement { get; }
+        public HtmlElement? FromElement { get; }
-        public HtmlElement ToElement { get; }
+        public HtmlElement? ToElement { get; }
     }
     public class KeysConverter : TypeConverter, IComparer {
-        public override bool CanConvertTo(ITypeDescriptorContext context, Type destinationType);
+        public override bool CanConvertTo(ITypeDescriptorContext? context, Type? destinationType);
-        public int Compare(object a, object b);
+        public int Compare(object? a, object? b);
-        public override object ConvertFrom(ITypeDescriptorContext context, CultureInfo culture, object value);
+        public override object? ConvertFrom(ITypeDescriptorContext? context, CultureInfo? culture, object value);
-        public override object ConvertTo(ITypeDescriptorContext context, CultureInfo culture, object value, Type destinationType);
+        public override object? ConvertTo(ITypeDescriptorContext? context, CultureInfo? culture, object? value, Type destinationType);
-        public override bool GetStandardValuesExclusive(ITypeDescriptorContext context);
+        public override bool GetStandardValuesExclusive(ITypeDescriptorContext? context);
-        public override bool GetStandardValuesSupported(ITypeDescriptorContext context);
+        public override bool GetStandardValuesSupported(ITypeDescriptorContext? context);
     }
     public class RadioButton : ButtonBase {
         public class RadioButtonAccessibleObject : Control.ControlAccessibleObject {
+            public override string KeyboardShortcut { get; }
+            public override string Name { get; }
         }
     }
     public class RichTextBox : TextBoxBase {
-        public override Image BackgroundImage { get; set; }
+        public override Image? BackgroundImage { get; set; }
-        public string Rtf { get; set; }
+        public string? Rtf { get; set; }
-        public Font SelectionFont { get; set; }
+        public Font? SelectionFont { get; set; }
-        public new event EventHandler BackgroundImageChanged;
+        public new event EventHandler? BackgroundImageChanged;
-        public new event EventHandler BackgroundImageLayoutChanged;
+        public new event EventHandler? BackgroundImageLayoutChanged;
-        public event ContentsResizedEventHandler ContentsResized;
+        public event ContentsResizedEventHandler? ContentsResized;
-        public new event DragEventHandler DragDrop;
+        public new event DragEventHandler? DragDrop;
-        public new event DragEventHandler DragEnter;
+        public new event DragEventHandler? DragEnter;
-        public new event EventHandler DragLeave;
+        public new event EventHandler? DragLeave;
-        public new event DragEventHandler DragOver;
+        public new event DragEventHandler? DragOver;
-        public new event GiveFeedbackEventHandler GiveFeedback;
+        public new event GiveFeedbackEventHandler? GiveFeedback;
-        public event EventHandler HScroll;
+        public event EventHandler? HScroll;
-        public event EventHandler ImeChange;
+        public event EventHandler? ImeChange;
-        public event LinkClickedEventHandler LinkClicked;
+        public event LinkClickedEventHandler? LinkClicked;
-        public event EventHandler Protected;
+        public event EventHandler? Protected;
-        public new event QueryContinueDragEventHandler QueryContinueDrag;
+        public new event QueryContinueDragEventHandler? QueryContinueDrag;
-        public event EventHandler SelectionChanged;
+        public event EventHandler? SelectionChanged;
-        public event EventHandler VScroll;
+        public event EventHandler? VScroll;
     }
     public class ToolStripButton : ToolStripItem {
+        protected internal override bool ProcessDialogKey(Keys keyData);
     }
     public class ToolTip : Component, IExtenderProvider, IHandle, IHandle<HWND> {
-        public string GetToolTip(Control control);
+        public string? GetToolTip(Control? control);
     }
     public class WebBrowser : WebBrowserBase {
-        public void Navigate(string urlString, string targetFrameName);
+        public void Navigate(string urlString, string? targetFrameName);
     }
 }
```

