# .NET Support and Distributions

.NET is available (as a binary distribution) in many package managers and official download sites. These builds of .NET are provided and supported by organizations that participate in the .NET community, [build .NET from source](https://github.com/dotnet/dotnet), and offer stable binaries to their users. These organizations work together to enable developers to be productive and safe on Linux, macOS, and Windows.

Patches are provided for functional or security issues, typically monthly on [Patch Tuesday](https://en.wikipedia.org/wiki/Patch_Tuesday).

.NET is supported per the following policies:

* [.NET releases](releases.md)
* [.NET release policies](release-policies.md)
* [.NET supported operating system lifecycle](os-lifecycle-policy.md).

Community support is available on GitHub, such as at [dotnet/core](https://github.com/dotnet/core).

Community builds are available for [Linux](linux.md) and [macOS](https://formulae.brew.sh/cask/dotnet-sdk). 

Official builds and commercial support is available from the following companies:

## Canonical

Canonical supports .NET on Ubuntu, per the following.

- .NET 6 is supported in Ubuntu 22.04+.
- .NET 7 is supported in Ubuntu 22.04+.

## Microsoft

Microsoft provides [stable builds](https://dotnet.microsoft.com/download) and [commercial support](https://support.serviceshub.microsoft.com/supportforbusiness/onboarding) for .NET on Linux, macOS, and Windows, per [.NET support policy](https://dotnet.microsoft.com/platform/support/policy).

A more restrictive policy is used for [.NET container images](https://github.com/dotnet/dotnet-docker/blob/main/documentation/supported-platforms.md).

## Red Hat

[Red Hat supports .NET](https://access.redhat.com/support/policy/updates/net-core) on Red Hat Enterprise Linux, per the following.

- .NET 6 is supported in RHEL 7+.
- .NET 7 is supported in RHEL 8+.
